Package com.omnisci.thrift.server

## Class TColumnType

- java.lang.Object
- - com.omnisci.thrift.server.TColumnType

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TColumnType>`, `org.apache.thrift.TBase<TColumnType,​TColumnType._Fields>`, `org.apache.thrift.TSerializable`

    public class TColumnType
    extends Object
    implements org.apache.thrift.TBase<TColumnType,​TColumnType._Fields>, Serializable, Cloneable, Comparable<TColumnType>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TColumnType._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `col_id`
`String` `col_name`
`TTypeInfo` `col_type`
`boolean` `is_physical`
`boolean` `is_reserved_keyword`
`boolean` `is_system`
`static Map<TColumnType._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `src_name`

### Constructor Summary

Constructors
`TColumnType()`
`TColumnType​(TColumnType other)` Performs a deep copy on other.
`TColumnType​(String col_name, TTypeInfo col_type, boolean is_reserved_keyword, String src_name, boolean is_system, boolean is_physical, long col_id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TColumnType other)`
`TColumnType` `deepCopy()`
`boolean` `equals​(TColumnType that)`
`boolean` `equals​(Object that)`
`TColumnType._Fields` `fieldForId​(int fieldId)`
`long` `getCol_id()`
`String` `getCol_name()`
`TTypeInfo` `getCol_type()`
`Object` `getFieldValue​(TColumnType._Fields field)`
`String` `getSrc_name()`
`int` `hashCode()`
`boolean` `isIs_physical()`
`boolean` `isIs_reserved_keyword()`
`boolean` `isIs_system()`
`boolean` `isSet​(TColumnType._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCol_id()` Returns true if field col_id is set (has been assigned a value) and false otherwise
`boolean` `isSetCol_name()` Returns true if field col_name is set (has been assigned a value) and false otherwise
`boolean` `isSetCol_type()` Returns true if field col_type is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_physical()` Returns true if field is_physical is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_reserved_keyword()` Returns true if field is_reserved_keyword is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_system()` Returns true if field is_system is set (has been assigned a value) and false otherwise
`boolean` `isSetSrc_name()` Returns true if field src_name is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TColumnType` `setCol_id​(long col_id)`
`void` `setCol_idIsSet​(boolean value)`
`TColumnType` `setCol_name​(String col_name)`
`void` `setCol_nameIsSet​(boolean value)`
`TColumnType` `setCol_type​(TTypeInfo col_type)`
`void` `setCol_typeIsSet​(boolean value)`
`void` `setFieldValue​(TColumnType._Fields field, Object value)`
`TColumnType` `setIs_physical​(boolean is_physical)`
`void` `setIs_physicalIsSet​(boolean value)`
`TColumnType` `setIs_reserved_keyword​(boolean is_reserved_keyword)`
`void` `setIs_reserved_keywordIsSet​(boolean value)`
`TColumnType` `setIs_system​(boolean is_system)`
`void` `setIs_systemIsSet​(boolean value)`
`TColumnType` `setSrc_name​(String src_name)`
`void` `setSrc_nameIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCol_id()`
`void` `unsetCol_name()`
`void` `unsetCol_type()`
`void` `unsetIs_physical()`
`void` `unsetIs_reserved_keyword()`
`void` `unsetIs_system()`
`void` `unsetSrc_name()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### col_name

    public String col_name

#### col_type

    public TTypeInfo col_type

#### is_reserved_keyword

    public boolean is_reserved_keyword

#### src_name

    public String src_name

#### is_system

    public boolean is_system

#### is_physical

    public boolean is_physical

#### col_id

    public long col_id

#### metaDataMap

    public static final Map<TColumnType._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TColumnType

    public TColumnType()

#### TColumnType

    public TColumnType​(String col_name,
                       TTypeInfo col_type,
                       boolean is_reserved_keyword,
                       String src_name,
                       boolean is_system,
                       boolean is_physical,
                       long col_id)

#### TColumnType

    public TColumnType​(TColumnType other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TColumnType deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TColumnType,​TColumnType._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TColumnType,​TColumnType._Fields>`

#### getCol_name

    public String getCol_name()

#### setCol_name

    public TColumnType setCol_name​(String col_name)

#### unsetCol_name

    public void unsetCol_name()

#### isSetCol_name

    public boolean isSetCol_name()

Returns true if field col_name is set (has been assigned a value) and false otherwise

#### setCol_nameIsSet

    public void setCol_nameIsSet​(boolean value)

#### getCol_type

    public TTypeInfo getCol_type()

#### setCol_type

    public TColumnType setCol_type​(TTypeInfo col_type)

#### unsetCol_type

    public void unsetCol_type()

#### isSetCol_type

    public boolean isSetCol_type()

Returns true if field col_type is set (has been assigned a value) and false otherwise

#### setCol_typeIsSet

    public void setCol_typeIsSet​(boolean value)

#### isIs_reserved_keyword

    public boolean isIs_reserved_keyword()

#### setIs_reserved_keyword

    public TColumnType setIs_reserved_keyword​(boolean is_reserved_keyword)

#### unsetIs_reserved_keyword

    public void unsetIs_reserved_keyword()

#### isSetIs_reserved_keyword

    public boolean isSetIs_reserved_keyword()

Returns true if field is_reserved_keyword is set (has been assigned a value) and false otherwise

#### setIs_reserved_keywordIsSet

    public void setIs_reserved_keywordIsSet​(boolean value)

#### getSrc_name

    public String getSrc_name()

#### setSrc_name

    public TColumnType setSrc_name​(String src_name)

#### unsetSrc_name

    public void unsetSrc_name()

#### isSetSrc_name

    public boolean isSetSrc_name()

Returns true if field src_name is set (has been assigned a value) and false otherwise

#### setSrc_nameIsSet

    public void setSrc_nameIsSet​(boolean value)

#### isIs_system

    public boolean isIs_system()

#### setIs_system

    public TColumnType setIs_system​(boolean is_system)

#### unsetIs_system

    public void unsetIs_system()

#### isSetIs_system

    public boolean isSetIs_system()

Returns true if field is_system is set (has been assigned a value) and false otherwise

#### setIs_systemIsSet

    public void setIs_systemIsSet​(boolean value)

#### isIs_physical

    public boolean isIs_physical()

#### setIs_physical

    public TColumnType setIs_physical​(boolean is_physical)

#### unsetIs_physical

    public void unsetIs_physical()

#### isSetIs_physical

    public boolean isSetIs_physical()

Returns true if field is_physical is set (has been assigned a value) and false otherwise

#### setIs_physicalIsSet

    public void setIs_physicalIsSet​(boolean value)

#### getCol_id

    public long getCol_id()

#### setCol_id

    public TColumnType setCol_id​(long col_id)

#### unsetCol_id

    public void unsetCol_id()

#### isSetCol_id

    public boolean isSetCol_id()

Returns true if field col_id is set (has been assigned a value) and false otherwise

#### setCol_idIsSet

    public void setCol_idIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TColumnType._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TColumnType,​TColumnType._Fields>`

#### getFieldValue

    public Object getFieldValue​(TColumnType._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TColumnType,​TColumnType._Fields>`

#### isSet

    public boolean isSet​(TColumnType._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TColumnType,​TColumnType._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TColumnType that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TColumnType other)

Specified by:
  `compareTo` in interface `Comparable<TColumnType>`

#### fieldForId

    public TColumnType._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TColumnType,​TColumnType._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`